package com.sifang.modules.quality.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "crm_entry_quality_acceptance")
public class CrmEntryQualityAcceptance implements Serializable {

    @Id
    private String id;

    private String type;

    private String number;

    private String traderId;

    private String traderName;

    private String relateOrderId;

    private String regionProvince;

    private String regionCity;

    private String regionArea;

    private String status;

    private String createMethod;

    private Integer totalCount;

    private Integer sampleCount;

    private Integer finishCount;

    private String qualityRatio;

    private String qualityEmpId;

    private String qualityEmpName;

    private String qualityEmpUserId;

    private Date createTime;

    private Date finishTime;

    private Date dispatchTime;

    private String dispatchUserName;

    public String getQualityEmpUserId() {
        return qualityEmpUserId;
    }

    public void setQualityEmpUserId(String qualityEmpUserId) {
        this.qualityEmpUserId = qualityEmpUserId;
    }

    public String getDispatchUserName() {
        return dispatchUserName;
    }

    public void setDispatchUserName(String dispatchUserName) {
        this.dispatchUserName = dispatchUserName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public String getRelateOrderId() {
        return relateOrderId;
    }

    public void setRelateOrderId(String relateOrderId) {
        this.relateOrderId = relateOrderId;
    }

    public String getRegionProvince() {
        return regionProvince;
    }

    public void setRegionProvince(String regionProvince) {
        this.regionProvince = regionProvince;
    }

    public String getRegionCity() {
        return regionCity;
    }

    public void setRegionCity(String regionCity) {
        this.regionCity = regionCity;
    }

    public String getRegionArea() {
        return regionArea;
    }

    public void setRegionArea(String regionArea) {
        this.regionArea = regionArea;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateMethod() {
        return createMethod;
    }

    public void setCreateMethod(String createMethod) {
        this.createMethod = createMethod;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getSampleCount() {
        return sampleCount;
    }

    public void setSampleCount(Integer sampleCount) {
        this.sampleCount = sampleCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public String getQualityRatio() {
        return qualityRatio;
    }

    public void setQualityRatio(String qualityRatio) {
        this.qualityRatio = qualityRatio;
    }

    public String getQualityEmpId() {
        return qualityEmpId;
    }

    public void setQualityEmpId(String qualityEmpId) {
        this.qualityEmpId = qualityEmpId;
    }

    public String getQualityEmpName() {
        return qualityEmpName;
    }

    public void setQualityEmpName(String qualityEmpName) {
        this.qualityEmpName = qualityEmpName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getDispatchTime() {
        return dispatchTime;
    }

    public void setDispatchTime(Date dispatchTime) {
        this.dispatchTime = dispatchTime;
    }
}

